﻿/* Adjust order properties fields */
.adjust-order-props > div.form-group {
    margin-bottom: 0 !important;
}
.adjust-order-props > div.form-group > label {
    width: 100% !important;
}
.adjust-order-props > div.form-group > div {
    width: 100% !important;
}
.adjust-order-props > div.form-group > div.col-sm-offset-4 {
    margin-left: 0 !important;
}
/*end*/
/*Resizeble complex element to select services*/
.resizeble-div-h {
    -moz-appearance: textfield-multiline;
    -webkit-appearance: textarea;
    overflow: auto;
    resize: vertical;
    padding: 8px;
    height: 200px;
    min-height: 150px;
    max-height: 600px;
}
.resizeble-div-h > div {
    margin: 5px 0;
}
.resizeble-div-h > div:hover {
    cursor: pointer;
    background-color: #5897fb;
    color: #fff !important;
}
.resizeble-div-h > div.selected {
    background: #ccc;
}
.resizeble-div-h > div > div {
    width: 100% !important;
}
.resizeble-div-h > div > div > input {
    margin: 0 8px 0 3px;
    align-self: center;
}
.resizeble-div-h > div > div > span {
    margin-right: auto
}
.resizeble-div-h > div > div.account-row {
    display: flex !important;
    height: auto;
}
/*end*/

/*Arrows / Counter */
.arrow-counter {
    width: 50px;
    min-width: 50px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    padding: 8px 0;
}
div.arrow-counter > div {
    display: inline-block;
}
.left-arrow {
    text-decoration: none;
    width: 0;
    height: 0;
    border-top: 6px solid transparent;
    border-right: 12px solid #888;
    border-bottom: 6px solid transparent;
}
.right-arrow {
    text-decoration: none;
    width: 0;
    height: 0;
    border-top: 6px solid transparent;
    border-left: 12px solid #888;
    border-bottom: 6px solid transparent;
}
/*end*/

/*Table MPay style*/
#mpay-table > thead > tr {
    background: rgb(100, 150, 205);
    color: white;
    font-weight: 600;
}
#mpay-table > thead > tr > th:nth-child(1) {
    width: 5%;
}
#mpay-table > thead > tr > th:nth-child(2) {
    width: auto;
}
#mpay-table > thead > tr > th:nth-child(3) {
    width: 5%;
}
#mpay-table > thead > tr > th:nth-child(4) {
    width: 20%;
}
#mpay-table > thead > tr > th:nth-child(5) {
    width: 5%;
}
tbody > tr > td {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
.table-striped > tbody > tr:nth-of-type(odd) {
    background: rgb(200, 240, 250);
}
.inline-amount-span {
    margin-top: 5px;
    margin-bottom: 5px;
}
@media only screen and (min-width: 769px) {
    .inline-amount-span > input {
        text-align: right;
        width: 200px;
        padding: 5px 30px 5px 5px !important;
    }
    .inline-amount-span > p {
        position: absolute;
        color: #555;
        margin: -30px 0 0 175px;
        float: right;
        padding-top: 4px;
    }
}
@media only screen and (min-width: 551px) and (max-width: 768px) {
    .inline-amount-span > input {
        text-align: right;
        width: 150px;
        padding: 5px 30px 5px 5px !important;
    }
    .inline-amount-span > p {
        position: absolute;
        color: #555;
        margin: -30px 0 0 125px;
        float: right;
        padding-top: 4px;
    }
    #mpay-table > thead > tr > th:nth-child(3) {
        word-break: break-all;
        min-width: 60px;
    }
}
@media only screen and (max-width: 550px){
    .inline-amount-span > input {
        text-align: right;
        width: 110px;
        padding: 5px 30px 5px 5px !important;
    }
    .inline-amount-span > p {
        position: absolute;
        color: #555;
        margin: -30px 0 0 85px;
        float: right;
        padding-top: 4px;
    }
    #mpay-table > thead > tr > th:nth-child(3) {
        word-break: break-all;
        min-width: 60px;
    }
}
    /*Remove Arrows - Chrome, Safari, Edge, Opera*/
    .inline-amount-span > input ::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }
    /*Remove Arrows - Firefox */
    input[type=number] {
        -moz-appearance: textfield;
    }
/*end*/

/*Total amount*/
@media only screen and (min-width: 551px) {
    #total-amount-div {
        float: right;
        margin-right: 10px;
    }
}
@media only screen and (max-width: 550px) {
    #total-amount-div {
        margin-left: 30px;
        margin-right: 30px;
    }
}
#total-amount-div > div.total {
    color: #6496cd;
    font-weight: 600;
    display: inline-block;
    font-size: 18px;
}
@media only screen and (min-width: 1200px) {
    #total-amount-div > div.value {
        font-weight: 600;
        display: inline-block;
        width: 185px;
        border-bottom: #6496cd dashed thin;
        margin-left: 15px;
        margin-right: 21px;
        text-align: end;
        font-size: 18px;
    }
}
@media only screen and (min-width: 769px) and (max-width: 1199px) {
    #total-amount-div > div.value {
        font-weight: 600;
        display: inline-block;
        width: 185px;
        border-bottom: #6496cd dashed thin;
        margin-left: 15px;
        margin-right: 10px;
        text-align: end;
        font-size: 18px;
    }
}
@media only screen and (max-width: 768px) {
    #total-amount-div > div.value {
        font-weight: 600;
        display: inline-block;
        width: 135px;
        border-bottom: #6496cd dashed thin;
        margin-left: 15px;
        margin-right: 10px;
        text-align: end;
        font-size: 18px;
    }
}
/*end*/
/*Field validation*/
.validation-field {
    float: left;
    color: #a94442;
    display: block;
    margin-top: 5px;
    margin-bottom: 10px;
}
.has-error {
    border-color: #a94442;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
}
.has-error:focus {
    border-color: #843534;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 6px #ce8483;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 6px #ce8483;
}
/*end*/